using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public abstract class Obstacle : MonoBehaviour {


	//break behaviour, called when hit by back wave
	public abstract void Break();

	protected void Trigger(Collider col){

		if (col.name == "BackWave") {
			Break ();
		}
	}
}
